#!/usr/bin/bash

for python_path in /opt/python/cp{39,310,311,312}*; do
    python_version=$(basename $python_path)
    python_version=${python_version#*-}
    python=$python_path/bin/python
    pip=$python_path/bin/pip

    echo "building wheel for python_version=$python_version"

    mkdir -p build
    pushd build
    cmake ..  -DBUILD_PYTHON=ON -DPython_EXECUTABLE=$python -DCMAKE_BUILD_TYPE=Release -DSEEDEE_WHEEL_INCLUDE_LIB=OFF
    make python-wheel
    popd
done


for wheel in build/python/dist/*.whl; do
    LD_LIBRARY_PATH=$(pwd)/build auditwheel repair $wheel --plat manylinux2014_x86_64 -w build/python/wheelhouse
done